;Dolphin SAM driver prompt file for 00007, 01007, 07095 Russian
; This file needs full translation

;The character sets specify the set of speakable characters for a given language ROM.
;All are enclosed in double quote characters

;Note, codepage is now ignored, all characters are taken as being from the
;ANSI character set (cp 1252). For unicode chars outside this range,
;enter \xxxx where xxxx is the four digit hexadecimal value of the char,
;for example, Greek lower case alpha is \03b1.
;This scheme applies to all prompts, not just charsets

[charset_855]

;text contains all the characters that make up words
text="0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz\0401\0402\0403\0404\0405\0406\0407\0408\0409\040a\040b\040c\040e\040f\0410\0411\0412\0413\0414\0415\0416\0417\0418\0419\041a\041b\041c\041d\041e\041f\0420\0421\0422\0423\0424\0425\0426\0427\0428\0429\042a\042b\042c\042d\042e\042f\0430\0431\0432\0433\0434\0435\0436\0437\0438\0439\043a\043b\043c\043d\043e\043f\0440\0441\0442\0443\0444\0445\0446\0447\0448\0449\044a\044b\044c\044d\044e\044f\0451\0452\0453\0454\0455\0456\0457\0458\0459\045a\045b\045c\045e\045f"

;modifiers never produce sound themselves but modify the sounds of other chars
mod=" !',.:;?\02bc"

;spelt chars are those which are ALWAYS spelt by the driver
spell="\0022#$%&()*+-/<=>@[\005c]^_`{|}~"

; Any characters above that will not correctly spell
; using the synth's @P1 command should be included below
; If space does not appear below it will be replaced with "@S1 @S0" by the driver
; English example
;spellreplace0=" SPACE"
;spellreplace1="'APOSTROPHE"
;spellreplace2="@AT"
;spellreplace3="_UNDERSCORE"

[language] ; ROM descriptions
L00001="U S English"
L00007="Russian"
L01007="Russian"
L00020="Arabic"
L00030="Greek"
L00031="Dutch"
L00033="French"
L00034="Castillian Spanish"
L10034="Catalan"
L00036="Hungarian"
L00038="Serbo-Croat (codepage 852)"
L10038="Croatian (codepage 437)"
L00039="Italian"
L00040="Romanian"
L00042="Czech"
L01042="Czech"
L10042="Slovak"
L11042="Slovak"
L00044="UK English"
L10044="Welsh"
L00045="Danish"
L00046="Swedish"
L00047="Norwegian"
L00048="Polish"
L00049="German"
L00052="Latin American Spanish"
L00055="Brazilian Portuguese"
L00060="Malay"
L00062="Indonesian"
L00064="Maori"
L00081="Japanese"
L00090="Turkish"
L00091="Hindi"
L00245="Swahili"
L00351="Portuguese"
L00353="Irish"
L00354="Icelandic"
L00356="Maltese"
L00358="Finnish"
L00359="Bulgarian"
L00370="Lithuanian"
L00386="Slovene"
L00972="Hebrew"
L07095="Russian"
L00000="Unrecognised Language Rom"

[slots]	; for v1 ROMS when we can't read the language table
L0="Rom Slot 1"
L1="Rom Slot 2"
L2="Rom Slot 3"
L3="Rom Slot 4"
L4="Rom Slot 5"
L5="Rom Slot 6"
L6="Rom Slot 7"

[speakertable]
P0="Male"
P1="Non Male"

[hypermode]
P0="Off"
P1="On"
	
[voicesource]
P0="Male default"
P1="Female default"
P2="Male spiked"
P3="Female spiked"
P4="Male cut down"
P5="Female cut down"
P6="Male reduced high frequency"
P7="Female reduced high frequency"

[params]	;parameter descriptions
LANGUAGE="Language"
SPEED="Speed"
VOLUME="Volume"
PITCH="Pitch"
PROSODY="Prosody"
VOICING="Voicing"
WORDPAUSE="Word Pause"
PHRASEPAUSE="Phrase Pause"
HYPERMODE="Hypermode"
MSRATIO="Mark Space Ratio"
VOICESOURCE="Voice Source"
SPEAKERTABLE="Speaker Table"

[voices]
V0=John
V1=Henry
V2=Sidney
V3=Bill
V4=Susan
V5=Carol
V6=Laura

[number rules]
>9 digits split=
/000000000thousand million=
/0000000++thousand million and=
/000++++??thousand million,=
/0++??????thousand and=
/+????????thousand,=

>6 digits split=
/000000million=
/0000++million and=
/++++??million,=

>3 digits split=
/000thousand=
/0++thousand and=
/+??thousand,=

>2 digits split=
/00hundred=
/++hundred and=


;
;  the [number replace] section must either contain 10 or 100 entries
;  for the replacement of 0 to 9 or the replacement of 0 to 99
[number replace]
zero=
one=
two=
three=
four=
five=
six=
seven=
eight=
nine=
ten=
eleven=
twelve=
thirteen=
fourteen=
fifteen=
sixteen=
seventeen=
eighteen=
nineteen=
twenty=
twenty one=
twenty two=
twenty three=
twenty four=
twenty five=
twenty six=
twenty seven=
twenty eight=
twenty nine=
thirty=
thirty one=
thirty two=
thirty three=
thirty four=
thirty five=
thirty six=
thirty seven=
thirty eight=
thirty nine=
forty=
forty one=
forty two=
forty three=
forty four=
forty five=
forty six=
forty seven=
forty eight=
forty nine=
fifty=
fifty one=
fifty two=
fifty three=
fifty four=
fifty five=
fifty six=
fifty seven=
fifty eight=
fifty nine=
sixty=
sixty one=
sixty two=
sixty three=
sixty four=
sixty five=
sixty six=
sixty seven=
sixty eight=
sixty nine=
seventy=
seventy one=
seventy two=
seventy three=
seventy four=
seventy five=
seventy six=
seventy seven=
seventy eight=
seventy nine=
eighty=
eighty one=
eighty two=
eighty three=
eighty four=
eighty five=
eighty six=
eighty seven=
eighty eight=
eighty nine=
ninety=
ninety one=
ninety two=
ninety three=
ninety four=
ninety five=
ninety six=
ninety seven=
ninety eight=
ninety nine=

